%ext ck4


##############
#NEW GRAPHICS#
##############

%egahead EGAHEAD.CK4
%egadict EGADICT.CK4


####################
#NEW LOADING SCREEN#
####################

%patchfile $1FE47 UCK4.BIN


###############
#NEW TILEINFOS#
###############

%patchfile $249C2 UCK4.TLI


############
#NEW LEVELS#
############

%maphead MAPHEAD.CK4


##################
#AUDIO AND LEVELS#
##################

#Add new music
#Index of first music chunk within audio chunks:
%patch $8CEF $0097W #98 is hex for 152- the number of the first song in my list.txt. originally $009CW

#Start address of music chunks
#reduce start address by 2x that of "First Audio Entry"
%patch $8C75 $C88BW #clear_music()- originally C895W
%patch $8C83 $C88BW #clear_music()
%patch $8D83 $C88BW #StartMusic()
%patch $8C91 10     #Total Number of Songs

#Patch sounds/musics
%patchfile $20DF0 AUDIOHED.CK4	#Audio header
%patchfile $354F6 AUDIODCT.CK4	#Audio dictionary

#Disable EGAGRAPH check (Frees 389 bytes at $3CF6)
%patch $3CE5 $90 $90

#New music setting code = $037D0526RL
%patch $3CF6 $55 $8B $EC $83 $EC $02 $56 $57 $8B $76 $06 $83 $FE $14 $72 $11
             $83 $FE $FF $74 $0C $B8 $06CCW  $50 $9A $037D022FRL     $83 $C4
             $02 $9A $18740B15RL     $83 $FE $FF $75 $05 $BF $05 $00 $EB $08
             $8B $DE $D1 $E3 $8B $BF $018EW  $E9 $4F9EW

#New music list (Max length 20 entries)
%patch $2EFFE $0000W #NO MUSIC
              $0001W #Shadows Don't Scare Commander Keen!! (demo version)
              $0002W #Dopey
              $0003W #Bullfrog
              $0004W #Tropical Ghost Oasis (extended)
              $0005W #Shadows Don't Scare Commander Keen!!
              $0006W #You've Got to Eat Your Vegetables!!
              $0007W #Too Hot to Handle
              $0008W #Tropical Ghost Oasis
              $0009W #Welcome to a Kick In Yore Pants In Good Ole Hillville!
              $000AW #In a Land of Wonderment and Awe
              $000BW #NOT USED
              $000CW #NOT USED
              $000DW #NOT USED
              $000EW #NOT USED
              $000FW #NOT USED

#Use new list in story demo
%patch $5835 $B8 $0007W $50 $9A $037D0526RL

#Use new list in ending sequence
%patch $9CD6 $B8 $0004W $50 $9A $037D0526RL

#Use new list when talking to Oracle Member
%patch $F4C9 $B8 $000AW $50 $9A $037D0526RL

#Music played when talking to Janitor
%patch $F106 $B8 $000AW $50 $9A $037D0526RL

#Allow 24 playable levels in Keen 4 v1.4:
#Firstly increase the number of levels we can access from the map to maximum (+6)
%patch $DF5D $18 #Number of levels enterable ($18 = 24)
%patch $8CA4 $1B #Number of level song entries (27 to hold the demo worldmap song for the help menu and the silence when exiting the help menu)

#Give extra levels valid stuff:
#Level name pointers:
%patch $30764 $1F040000RL #Map
              $1F050000RL #Level 1
              $1F060000RL #Level 2
              $1F070000RL #Level 3
              $1F090000RL #Level 4
              $1F0B0000RL #Level 5
              $1F0C0000RL #Level 6
              $1F0D0000RL #Level 7
              $1F0E0000RL #Level 8
              $1F0F0000RL #Level 9
              $1F100000RL #Level 10
              $1F110000RL #Level 11
              $1F130000RL #Level 12
              $1F150000RL #Level 13
              $1F180000RL #Level 14
              $1F1A0000RL #Level 15
              $1F1B0000RL #Level 16
              $1F1C0000RL #Level 17
              $24B00000RL #Level 18
              $24B20000RL #Level 19
              $24B30000RL #Level 20
              $24B50000RL #Level 21
              $24B60000RL #Level 22
              $1F1D0000RL #Level 23 (BWB Megarocket)
              $24B80000RL #Level 24 (High Scores)

#Level entrance text pointers
%patch $307C8 $1F1F0000RL #Map
              $1F210000RL #Level 1
              $1F240000RL #Level 2
              $1F260000RL #Level 3...
              $1F290000RL
              $1F2D0000RL
              $1F300000RL
              $1F330000RL
              $1F350000RL
              $1F380000RL
              $1F3A0000RL
              $1F3D0000RL
              $1F400000RL
              $1F430000RL
              $1F470000RL
              $1F4B0000RL
              $1F4E0000RL
              $1F510000RL
              $24D50000RL #Bwb Rocket
              $24D80000RL #Hall of fame
              $24DB0000RL
              $24E00000RL
              $24E30000RL
              $1F540000RL
              $24E70000RL

#Extra level names
%patch $24B00 "Three-Tooth Lake" $0A "Shallows" $00  #Level 18
%patch $24B20 "Ancient Village" $00  #Level 19
%patch $24B30 "Cave of Coolness" $00  #Level 20
%patch $24B50 "Desert Town" $00  #Level 21
%patch $24B60 "Pyramid of the Allowed" $00 #Level 22 

#Extra level entries
%patch $24D50 "Keen sinks into" $0A "the Three-Tooth Lake" $0A "Shallows" $00
%patch $24D80 "Keen sweeps through" $0A "the Ancient Village" $00
%patch $24DB0 "Keen takes a shaking trip" $0A "in the Cave of Coolness" $00
%patch $24E00 "Keen bites dust in the" $0A "Desert Town" $00
%patch $24E30 "Keen confidently gets" $0A "into the Pyramid of the" $0A "Allowed" $00

#High Scores level has now own level name and entry text
%patch $24B80 "High Scores" $00
%patch $24E70 "Keen quickly checks" $0A "the High Scores" $00

#This is the music played in each level:
#             VALUE   LEVEL                 MUSIC PLAYED         LEVEL No
%patch $2F206 $0005W  #Map                  (Shadowlands)          0
              $0009W  #Border Village       (Kick in the Pants)    1
              $0008W  #Slug Village         (Slug Village)         2
              $0008W  #Perilous Pit         (Slug Village)         3
              $0007W  #Cave of Descendants  (Too Hot)              4
              $0007W  #Chasm of Chills      (Too Hot)              5
              $0009W  #Crystalus            (Kick in the Pants)    6
              $0008W  #Hillville            (Slug Village)         7
              $0006W  #Sand Yego            (Eat your Veggies)     8
              $0006W  #Miragia              (Eat your Veggies)     9
              $0006W  #Lifwater Oasis       (Eat your Veggies)    10
              $0007W  #Pyramid of Moons     (Too Hot)             11
              $0007W  #Pyramid of Shadows   (Too Hot)             12
              $0007W  #Pyramid of Ancients  (Too Hot)             13
              $0007W  #Pyramid of Forbidden (Too Hot)             14
              $0007W  #Isle of Tar          (Too Hot)             15
              $0007W  #Isle of Fire         (Too Hot)             16
              $0006W  #Well of Wishes       (Eat your Veggies)    17
              $0002W  #Three-Tooth Lake     (Dopey)               18
              $0008W  #Ancient Village      (Slug Village)        19
              $0003W  #Cave of Coolness     (Bullfrog)            20
              $0006W  #Desert Town          (Eat your Veggies)    21
              $0007W  #Pyramid of Allowed   (Too Hot)             22
              $0008W  #BWB Megarocket       (Slug Village)        23
              $FFFFW  #High Scores          (No music, "Fanfare") 24
              $0001W  #Pseudo               (Shadowlands - demo; PLACE-HOLDER AND NON-EXISTING LEVEL) 25
              $FFFFW  #Pseudo 2             (PLACE-HOLDER AND NON-EXISTING LEVEL THAT IS RESPONSIBLE FOR HOLDING THE SILENCE AFTER EXITING THE HELP MENU) 26

#Number of levels demo can be recorded from:
%patch $6516 $18

#Demo recording text
%patch $2F10E "  Record a demo from level(0-24):" $00

#Levels F10 + W accesses
%patch $77E4 $18

#Level warping text
%patch $2F418 " Warp to which level(1-24):" $00

#Level high scores are entered in level 24
%patch $5BC0 $0018W

#Play music when help loads
%patch $992D $B8 $0051W  $50 $9A $12A61117RL     $B8 $0052W  $50 $9A 
     $12A61117RL     $B8 $0054W  $50 $9A $12A61117RL     $B8 $0019W  $50 $9A
             $06BD20C7RL     $83 $C4 $0A

#Play music when exiting help
%patch $9A8B $06BD20C7RL
%patch $9A87 $001AW      #Play this song


###############################
#DISABLE CALLING THE HELP MENU#
###############################

#Disable help
%patch $3F09  $EB     #Unknown, initiation screen?
%patch $51AB  $EB     #During terminator text
%patch $1CED9 $90 $90 #In Main Menu


###############################
#KEEN CHECKS HIS COMPUTERWRIST#
############################### 

#Insert new 'check wrist' action in bored-2 sequence
%patch $2F8CC $0CD4W
%patch $2FB44 $009FW $009FW $0003W $0000W $0001W $003CW $0000W $0000W
              $0B800395RL   $0B8014A9RL   $0B801AA2RL   $0A5EW


#########################
#TERMINATOR TEXT PALETTE#
#########################

#Terminator text palette:
%patch $2F078 $00 $03 $03 $13 $01 $01 $01 $01     #Dark colors
              $11 $11 $11 $11 $16 $16 $16 $16 $00 #Light colors (and border color)

#Terminator text palette 2, screen moves out:
%patch $2F089 $00 $03 $03 $13 $01 $01 $01 $01     #Dark colors
              $11 $11 $11 $11 $16 $16 $16 $03 $00 #Light colors (and border color)


#################
#BWB-TYPE LEVELS#
#################

#All levels above 22
%patch $60FD $16 $77


########################
#LEVEL ENTRY TEXT FIXES#
########################

#Fix the 'Pyramid of Shadows' grammar mistake
%patch $1F400 "Keen moves silently in" $0A "the Pyramid of Shadows" $00
              
#Fix the 'Perilous Pit' typo
%patch $1F260 "Keen plummets into" $0A "  the Perilous Pit  " $00
%patch $1F070 "  Perilous Pit  " $00


#############################
#KEEN EXITS OFF OF LEVEL TOP#
#############################

#W.O.W scrolling code -exit when off level top
%patch $8553 $55 $8B $EC $83 $EC $02 $56 $57 $8B $76 $06 $83 $3E $A7DAW  $00
             $74 $03 $E9 $012FW  $8B $44 $24 $3B $06 $C74BW  $77 $0C $C7 $06
             $7A70W  $0002W  $5F $5E $8B $E5 $5D $CB

                                 $A1 $C753W  $05 $0900W  $39 $44 $22 $73 $11
             $8B $44 $22 $8B $16 $53 $C7 $81 $C2 $0900W  $2B $C2 $8B $F8 $EB
             $21 $A1 $C753W  $05 $0C00W  $39 $44 $26 $76 $14 $8B $44 $26 $05
             $10 $00 $8B $16 $53 $C7 $81 $C2 $0C00W  $2B $C2 $8B $F8 $EB $02
             $33 $FF $A1 $C751W  $05 $00 $05 $39 $44 $24 $73 $12 $8B $44 $24
             $8B $16 $51 $C7 $81 $C2 $00 $05 $2B $C2 $89 $46 $FE $EB $22 $A1
             $C751W  $05 $00 $07 $39 $44 $28 $76 $12 $8B $44 $28 $8B $16 $51
             $C7 $81 $C2 $00 $07 $2B $C2 $89 $46 $FE $EB $05 $C7 $46 $FE $00
             $00 $0B $FF $75 $09 $83 $7E $FE $00 $75 $03 $E9 $0091W  $81 $FF
             $00 $01 $7C $05 $BF $FF $00 $EB $09 $81 $FF $00 $FF $7F $03 $BF
             $01 $FF $81 $7E $FE $00 $01 $7C $07 $C7 $46 $FE $FF $00 $EB $0C
             $81 $7E $FE $00 $FF $7F $05 $C7 $46 $FE $01 $FF $FF $76 $FE $57
             $9A $165413DDRL     $83 $C4 $04 $E9 $02B9W

#Extend top-exit to regular levels (OPTIONAL)
%patch $869D $55 $8B $EC $83 $EC $08 $56 $57 $8B $76 $06 $83 $3E $DA $A7 $00
             $74 $03 $E9 $02B6W  $8B $44 $24 $3B $06 $C74BW  $72 $14
                         $8B $44 $22 $3B $06 $C74BW  $72 $0B $A1 $C749W
             $05 $1400W  $39 $44 $26 $76 $03 $E9 $FE9FW


#########################
#MAIN MENU BITMAP CACHES#
#########################

#Main menu bitmaps cache
%patch $1CBEF $0057W #Start
%patch $1CC04 $67    #End


####################
#TITLE BITMAP CACHE#
####################

#Keen 4 titlescreen chunk
%patch $4CF4 $0009W #Cache title
%patch $4EDC $0009W #Display title


####################
#MENU BITMAP SETUPS#
####################

#Sound menu setup
%patch $1F8CA $0008W $0000W $005CW $0000W $0000W $1F87RW $00000000L   $0000W $0000W $0000W

#Music menu setup
%patch $1F916 $0008W $0000W $005DW $0000W $0000W $1F8ERW $00000000L   $0000W $0000W $0000W

#New game menu setup
%patch $1F978 $0008W $0000W $0058W $0000W $0000W $1F93RW $00000000L   $0001W $0000W $0000W

#Load and save menu setups
%patch $1FA0E $0004W $0003W $0059W $0000W $0000W $1F99RW $1A891581RL  $0000W $0000W $0000W #Load
%patch $1FA24 $0004W $0003W $005AW $0000W $0000W $1F99RW $1A8918A6RL  $0000W $0000W $0000W #Save

#Options menu setup
%patch $1FAFA $0008W $0000W $0061W $0000W $0000W $1FAARW $00000000L  $0000W $0000W $0000W #Main

#Movement menu setup
%patch $1FBB2 $0000W $0000W $005FW $0000W $0000W $1FB1RW $1A890C0ERL  $0000W $0000W $0000W

#Button menu setup
%patch $1FC18 $0000W $0000W $0060W $0000W $0000W $1FBDRW $1A890C0ERL  $0000W $0000W $0000W

#Keyboard/Joystick/Gravis Gamepad menu setups
%patch $1FC66 $0008W $0000W $005EW $0000W $0000W $1FC3RW $1A890BF1RL  $0000W $0000W $0000W #Keyboard
%patch $1FC7C $0000W $0000W $0062W $0000W $0000W $0000W  $1A891075RL  $0000W $0000W $0000W #Joystick 1
%patch $1FC92 $0000W $0000W $0063W $0000W $0000W $0000W  $1A8910B1RL  $0000W $0000W $0000W #Joystick 2
%patch $1FCA8 $0000W $0000W $0064W $0000W $0000W $0000W  $1A8912C8RL  $0000W $0000W $0000W #Gravis Gamepad

#Configure menu setup
%patch $1FD50 $0000W $0000W $005BW $0000W $0000W $1FCCRW $1A890A0ARL  $0000W $0000W $0000W

#Main menu setup
%patch $1FE22 $0020W $0004W $0057W $0000W $0000W $1FD8RW $00000000L   $0000W $0000W $0000W

#Paddle war menu setup
%patch $1C6E2 $0065W


#########
#BOUNDER#
#########

#Stunned Bounder in air sprite change
%patch $31DFA $01F1W $01F1W


##########################
#FLAG FOREGROUND VARIABLE#
##########################

#Put tiles behind the flag
%patch $E307 $0002W #Flipping
%patch $E369 $0002W #Sitting


#########################
#JOYSTICK TEXT TWEAKINGS#
#########################

%patch $33AB1 "Move joystick to upper left" $00
%patch $33AE1 "Move joystick to lower right" $00


###########################
#B+A+T CHEAT TEXT TWEAKING#
###########################

#Text
%patch $2F435 "Cheat option!" $0A $0A
              "You just got all" $0A
              "the gems, 99 shots," $0A
              "and an extra life!" $00


################################################
#OBJECT COUNTER CHEAT REMOVED FOR BEING USELESS#
################################################

#Count objects cheat disabled (Free $6BDB-$6C5E)
%patch $744C $EB $19


##############################################
#SPRITE TEST CHEAT REMOVED FOR BEING UNSTABLE#
##############################################

#Disable sprite test cheat (Free 390 bytes at $6D39)
%patch $76C4 $EB $12


#####################
#PAUSE CHEAT REMOVED#
#####################

#Disable game pausing
%patch $764F $EB $17


########################################
#PLUS TWO NAMES ON THE HIGH SCORES LIST#
########################################

#Defaults read from
%patch $5A09  $43C4W
%patch $5B58  $43C4W
%patch $5B63  $43C4W
%patch $5B89  $43C4W
%patch $5C06  $43C4W
%patch $194FF $43C4W
%patch $196A9 $43C4W

#Names:
%patch $33234 "Szemigi" $00
%patch $33274 "Id Software      " $00
%patch $332B4 "Jason Blochowiak " $00
%patch $332F4 "Adrian Carmack   " $00
%patch $33334 "John Carmack     " $00
%patch $33374 "Tom Hall         " $00
%patch $333B4 "John Romero      " $00
%patch $333F4 "Levellass        " $00


#####################
#NO CHOPPY SCROLLING#
#####################

#Fix choppy scrolling
%patch $1E87A $E9 $FF7CW
%patch $1E7F9 $55 $8B $EC $BA $DA $03 $FA $EC $A8 $01 $74 $FB $EC $A8 $01 $75
              $FB $8B $4E $06 $BA $D4 $03 $B0 $0C $EE $42 $8A $C5 $EE $4A $B0
              $0D $EE $8A $C1 $42 $EE $C7 $06 $E6F4W  $0000W  $8B $16 $E6F4W
              $83 $FA $09 $73 $19 $FB $90 $90 $90 $90 $90 $90 $90 $90 $90 $FA
              $90 $90 $90 $90 $90 $90 $BA $DA $03 $EC $A8 $08 $74 $DE $BA $C0
              $03 $B0 $33 $EE $EB $00 $8A $46 $08 $EE $FB $5D $CB


#########################################
#KEEN HAS NEW SPRITE FOR SWITCH-FLICKING#
#########################################

#Flicking switches
%patch $2FC52 $00F1W $00F1W
%patch $2FC5C $0008W        #Pause before flip
%patch $2FC70 $00F1W $00F1W
%patch $2FC7A $0008W        #Pause before done

#Rise the end of Keen's cache to hold the new switch-flicking sprite
%patch $3071C $00F1W #Keen cache end


#################
#'PG' IS REMOVED#
#################

#Don't display "pg"
%patch $2F5D4 "   "


########################
#STATUS WINDOW GEM TEXT#
########################

#'Keys' is now 'Gems
%patch $2F4BB "GEMS" $00 


###################
#ORACLE TEXT FIXES#
###################

#Janitor text piece
%patch $1F5E0 "I tried to tell the" $0A
              "Shikadi that, but they" $0A
              "just wouldn't listen..." $00

#Council member text
%patch $30C17 "Oh, thank you so much" $0A
              "for rescuing me!" $0A
              "I'll return to the" $0A
              "Oracle chamber" $0A
              "immediately." $00


##################
#LINDSEY TEXT FIX#
##################

#Fixed text for Lindsey in Level 5
%patch $30999 "The way to the Pyramid" $0A
              "of the Forbidden lies" $0A
              "under ~ Pyramid of ~" $0A
              "Moons." $0A $00


######################################
#+1 NEW ORACLE MEMBER: THE MAINTAINER#
######################################

#What wins game
%patch $6AE4  $7A5EW  $09 $74

#Keen's reply
%patch $F586 $184CW #Location of text pointer list
%patch $306BC $1C01W #First reply
              $1C22W #Second reply
              $1C43W #Third...
              $1C50W
              $1C90W
              $1CA3W
              $1CD4W
              $1CFBW #Eighth reply
              $40B7W #Ninth reply

#Text
%patch $32F27 "You're the last one," $0A
              "fella.  Let's both" $0A
              "get back to the Oracle" $0A
              "chamber. But who're ya?!" $00

#Change END to give 8 members
%patch $913B $0008W

#Status window can hold 9 member icons
%patch $7E42 $004AW #Width

#Modified 8th member message
%patch $30B6B "Very noble thought" $0A
              "in the brainwaves." $00


############################################
#'RESCUED' TEXT IS MOVED TO THE RIGHT A BIT#
############################################

#Horizontal value
%patch $7E26 $0055W


######################################
#'READY - PRESS A KEY' TEXT MODIFYING#
######################################

#Text change
%patch $19F9E $0016W #Vertical position of text
%patch $19FA2 $001DW #Horizontal position of text
%patch $19F9A $46EDW #Text called from
%patch $3355D " Ready - Press a key     " $00
%patch $19FC9 $4707W #Text called from
%patch $33577 " Ready - Press a key     " $00


#######################################
#LEVEL 17 AND 18 ARE UNDERWATER LEVELS#
#######################################

#Which levels are WoW levels
%patch $9051 $A7EDW  $11 $74
%patch $9058 $A7EDW  $12 $74


####################################
#MIMROCK STUNNED ANIMATION TWEAKING#
####################################

%patch $323F4 $0186W $018AW #Shot in air


########################################################
#SOUND PLAYED WHEN MEMBER IN WELL OF WISHES LEVEL SAVED#
########################################################

#Always Oracle sound
%patch $6AC0 $001FW


#####################
#SECOND MOONING TYPE#
#####################

#Merge walking tcol with standing (Placed at end of W_Tcol seg for larger S_Tcol) -allows wristcheck
%patch $D40B $55 $8B $EC $56 $8B $76 $06 $83 $7C $38 $00 $74 $06 $83 $7C $0E $FF #Walls
             $74 $0C $83 $7C $3C $00 $74 $21 $83 $7C $0E $01 $75 $1B $C7 $44
             $1A $0000W  $C7 $44 $1C $098CW  $83 $7C $0E $01 $75 $05 $A1 $098EW
                 $EB $03 $A1 $098CW  $89 $44 $1E $E9 $FE61W

#Expand stand\walking tcol to wristcheck
%patch $D33F $C7 $06 $00BEW  $0003W  $83 $3E $C649W  $01 $75 $05 $C7 $44 $1C $4099W

#New tile property: Moon 2
             $83 $7C $36 $39 $75 $11 $81 $7C $3E $012CW $75 $0A $C7 $44 $1C $414EW
             $C7 $44 $3E $0000W
                                  $FF $74 $20
             $33 $C0 $50 $FF $74 $1E $FF $74 $0C $FF $74 $0A $8B $C6 $05 $46
             $00 $50 $9A $16541641RL     $83 $C4 $0C $5E $5D $CB

#Moon 2 action =$414EW
%patch $32FBE $0095W $0095W $0000W $0000W $0001W $0039W $0000W $0000W
              $0B800395RL   $0B8014A9RL   $09DC176ERL   $0A7CW

#Change walking refs to use new Tcol (Free $D35F-$D40A)
%patch $2FF1C $0B801C0BRL
%patch $2FF3A $0B801C0BRL
%patch $2FF58 $0B801C0BRL
%patch $2FF76 $0B801C0BRL


################################################
#MOONING SEQUENCE ANIMATION SPRITE MODIFICATION#
################################################

#Mooning sequence sprite swap
%patch $2F8EC $0208W $0208W
%patch $2F8F6 $0014W        #Animation speed
%patch $2F90A $0207W $0207W
%patch $2F914 $005AW        #Mooning time
%patch $2F928 $0208W $0208W
%patch $2F932 $0014W        #Animation speed


####################################
#F10 + M CHEAT WINDOW NOW SAYS 'KB'#
####################################

#'k' to 'kb'
%patch $2F252 "Memory usage" $00
%patch $2F26C "Total:     " $00
%patch $2F278 "@" $0A "Free:      " $00
%patch $2F286 "@" $0A "With pur[  " $00
%patch $2F294 "@" $0A "" $00


#####################################
#ORACLE MEMBER SAVED COLUMN POSITION#
#####################################

#Horizontal position
%patch $5A2E $0091W


################################
#ENTERING A NEW HIGH SCORE NAME#
################################

#Name entry position
%patch $5BED $0006W #Horizontal


##############################
#POSITION OF NAMES AND SCORES#
##############################

#Position of name
%patch $5A1F $0006W #Horizontal position of names column
%patch $5A9A $013BW #Horizontal position of scores column


#############
#'TRY AGAIN'#
#############

#It is now corrected
%patch $2F187 "Try again" $00


################
#GAME OVER TEXT#
################

#'Over' begins with small 'o'
%patch $2F0BE "Game over!" $00


###############################################
#PADDLE WAR REQUIRES 20 MATCHES TO WIN OR LOSE#
###############################################

#Number of matches player must...
%patch $1C480 $14 #Lose to lose game
%patch $1C4D6 $14 #Win to win game

%end